#
# spec file for package rubygem-webpacker
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-webpacker
Version:        4.2.2
Release:        bp153.1.16
%define mod_name webpacker
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/rails/webpacker
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Use webpack to manage app-like JavaScript modules in Rails
License:        MIT
Group:          Development/Languages/Ruby

%description
Use webpack to manage app-like JavaScript modules in Rails.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 4.2.2
  see installed CHANGELOG.md
  [#]# [[4.2.2]](https://github.com/rails/webpacker/compare/v4.2.1...v4.2.2) - 2019-12-09
  - Fixed issue with webpack clean task for nested assets [#2391](https://github.com/rails/webpacker/pull/2391)
  [#]# [[4.2.1]](https://github.com/rails/webpacker/compare/v4.2.0...v4.2.1) - 2019-12-09
  - Fixed issue with webpack clean task [#2389](https://github.com/rails/webpacker/pull/2389)
* Mon Dec  2 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.2.0
  [#]# [[4.2.0]](https://github.com/rails/webpacker/compare/v4.1.0...v4.2.0) - 2019-11-12
  - Fixed installer bug [#2366](https://github.com/rails/webpacker/pull/2366)
  [#]# [[4.1.0]](https://github.com/rails/webpacker/compare/v4.0.7...v4.1.0) - 2019-11-12
  - Added favicon_pack_tag to generate favicon links [#2281](https://github.com/rails/webpacker/pull/2281)
  - Add support for Brotli compression [#2273](https://github.com/rails/webpacker/pull/2273)
  - Support .(sass|scss).erb [#2259](https://github.com/rails/webpacker/pull/2259)
  - Elm: Enable production optimizations when compiling in production [#2234](https://github.com/rails/webpacker/pull/2234)
  - fixes webpacker:clean erroring because of nested hashes [#2318](https://github.com/rails/webpacker/pull/2318)
  - Revert of production env enforcement [#2341](https://github.com/rails/webpacker/pull/2341)
  - Add a preload_pack_asset helper [#2124](https://github.com/rails/webpacker/pull/2124)
  - Record the compilation digest even on webpack error [#2117](https://github.com/rails/webpacker/pull/2117)
  - See more changes [here](https://github.com/rails/webpacker/compare/v4.0.7...v4.1.0)
* Fri Jun 28 2019 Manuel Schnitzer <mschnitzer@suse.com>
- initialize package
